Bug 1099829 - Disable font ligatures for text entry / mount points
Summary: Disable font ligatures for text entry / mount points
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-21 09:57 UTC by John Drinkwater
Modified: 2015-06-29 20:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 20:44:59 UTC


Attachments (Terms of Use)

Description John Drinkwater 2014-05-21 09:57:24 UTC
Description of problem:
While going through the install of Fedora 20 on a MacBook Pro 8,3, noticed that the fi in /boot/efi is rendered as a ligature, which is off‐putting to look at as it moves the f further away from the e… it doesn’t seem appropriate to use for this text entry & display.

How reproducible:
Always

Steps to Reproduce:
1. Configure install device
2. Mount the existing ESP to /boot/efi
3. Problem occurs

Actual results:
You see /boot/efi

Expected results:
You see /boot/efi

Additional info:
Will add more info if needed, but the f20 install had other issues ( bug 765954 ) so I wiped it already.

Comment 1 David Shea 2014-05-21 13:51:19 UTC
Anaconda is not using ligatures if you don't specify them, so it sounds like your issue is with how pango renders that particular combination of characters.

Comment 2 John Drinkwater 2014-05-21 19:08:52 UTC
It might be a general issue in Pango, but as this was in Anaconda considered best to report so - thought there might be a hint to force it off, as the font choice is a font choice. Will get a shot.

Comment 3 Khaled Hosny 2015-04-03 11:22:06 UTC
I fail to see how the ligature would “move the f further away from the e”, do you have a screenshot?

Comment 4 John Drinkwater 2015-04-04 02:27:37 UTC
(In reply to Khaled Hosny from comment #3)
> I fail to see how the ligature would “move the f further away from the e”,

The f merged with the i, that is how ligatures work. The displacement issue was the bug report.

I clearly forgot to grab a screenie, and don’t have the machine handy, but it will to be reproducible on an efi machine in the installer.

Comment 5 Fedora End Of Life 2015-05-29 11:54:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 20:44:59 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.